List plans

Lists the insurance plans for your store.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Returns an array of plan objects and the associated pagination information, and raises an error otherwise.

{
  "data": [
    {
      "id": "53ef16c8-d13f-4687-9727-593e60e98685",
      "sku": "a749b6df-5c59-4f08-9e44-4bbc15c14704-10000-20000",
      "object": "plan",
      "currency": "EUR",
      "product_price_range_min": 10000,
      "product_price_range_max": 20000,
      "price": {
        "amount": 2000,
        "recurring_interval": "month",
      },
      "commission": {
        "operator": 500,
        "tax1": 150,
        "tax2": 0,
        "tax3": 0,
      },
      "created_at": "2025-01-01T12:34:56.000000Z",
      "active": true,
      "market": "FR",
      "store_id": "9ba8d8e1-7f14-46bf-9148-ad705a4ec95c",
      "policy_id": "a749b6df-5c59-4f08-9e44-4bbc15c14704",
      "policy": {
        "id": "a749b6df-5c59-4f08-9e44-4bbc15c14704",
        "version": 3,
        "object": "policy",
        "currency": "EUR",
        "term_length": 12,
        "coverage_terms": ["theft"],
       "title": "Theft insurance",
        "required_products": "exactly_one",
        "offer_designation": "insurance",
        "embedded": true,
        "distributed_by_merchant": true,
        "post_purchase_window_days": 0,
        "created_at": "2025-01-01T12:34:56.000000Z",
        "store_id": "9ba8d8e1-7f14-46bf-9148-ad705a4ec95c",
        "operator_product_category_ids": ["100"],
        "contract_coverage_locale_id": "9ba8d8e1-7f14-46bf-9148-ad705a4ec95c_ABCDEF"
      }
    }
  ],
  "object": "list",
  "pagination": {
    "next_page_token": "zA5sYADPS/YlGEY7zHvn6ctYMuigYjErY",
    "prev_page_token": null
  }
}
Query Params
string

The store IDs for which you would like to list plans.

string

The identifiers of the plans that you would like to list.

boolean
required

Whether the listed plans are active. It is currently mandatory to set this parameter to true.

boolean

Whether the listed plans are distributed by a partner. Set to true to only see plans not sold directly by evy.

integer
Defaults to 10

This specifies a limit on the number of objects to return, ranging between 1 and 100.

string

A cursor used for pagination. It indicates the position in the list from which the next set of results should be returned. For example, if you make a list request and receive 100 items along with a next_page_token, you can pass that token as page_token in your next request to retrieve the following page of results.

Response
200
Language
LoadingLoading…